> For the complete documentation index, see [llms.txt](https://docs.aurowallet.com/general/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.aurowallet.com/general/reference/api-reference/error.md).

# Error

Here is the error message returned by Auro Wallet.

Now we use error message and error code show the error, zkApp can show the error to user.

```typescript
/** error info type */
interface ProviderError extends Error {
    message: string;
    code: number;
    data?: unknown;
}
```

## Error code information

if return failed info , zkApp can get error code.

```typescript
* code 1001  User disconnect, need connect first.
* code 1002  The request was rejected by the user.
* code 20001 Can not find account, may need create or restore in Auro Wallet first.
* code 20002 Verify failed.
* code 20003 The parameters were invalid.
* code 20004 Not support chain.
* code 20005 Have Pending chain action.
* code 20006 Method not supported.
* code 21001 Internal error.
* code 22001 Unspecified error message.
* code 23001 Origin dismatch.
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.aurowallet.com/general/reference/api-reference/error.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
